For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Projects

Get a project

||View as Markdown|
GET
https://tester.army/v1/projects/:projectId
GET
/v1/projects/:projectId
$curl https://tester.army/v1/projects/projectId \
> -H "Authorization: Bearer <token>"
1{
2 "id": "string",
3 "shortId": "string",
4 "name": "string",
5 "url": "string",
6 "projectType": "web",
7 "description": "string",
8 "createdAt": "2024-01-15T09:30:00Z",
9 "updatedAt": "2024-01-15T09:30:00Z"
10}
Get a single project by ID or shortId.
Was this page helpful?
Previous

Create a project

Next

Delete a project

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Path parameters

projectIdstringRequired
Project ID or shortId

Response

Project details
idstringformat: "uuid"
shortIdstring or null
namestring
urlstring or null
projectTypeenum
Allowed values:
descriptionstring or null
createdAtdatetime
updatedAtdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error